Create upload alias
Creates a shareable alias link for an upload with optional access restrictions like password, expiry, use limits, and allowed users.
Authorization
OAuth2 upl:bucket:manageAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:bucket:manage
Header Parameters
Connect-Protocol-Version?number
Define the version of the Connect protocol
Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
bucketRef?&
uploadId?string
ID of the upload to create alias for
Format
uuidpath?string|null
Path for the alias (optional, defaults to upload's path)
Length
length <= 4096slug?string|null
Slug for the alias (optional, auto-generated if not provided or empty)
Length
length <= 255password?string|null
Password to protect the alias (optional; empty means none). bcrypt caps passwords at 72 bytes.
Length
length <= 72expiresAt?google.protobuf.Timestamp|null
When the alias expires (optional, null = never)
maxUses?integer|null
Maximum number of uses (optional, null = unlimited)
Format
int32Range
0 <= valueallowedUserIds?allowed_user_ids
User IDs that are allowed to access (optional, empty = anyone)
Items
items <= 1000[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.UploadAliasService/CreateUploadAlias" \ -H "Connect-Protocol-Version: 1" \ -H "Connect-Timeout-Ms: 1000" \ -H "Content-Type: application/json" \ -d '{}'{
"alias": {
"aliasId": "string",
"uploadId": "string",
"path": "string",
"slug": "string",
"url": "string",
"hasPassword": true,
"expiresAt": "2023-01-15T01:30:15.01Z",
"maxUses": 0,
"useCount": 0,
"allowedUserIds": [
"string"
],
"createdAt": "2023-01-15T01:30:15.01Z",
"externalPath": "string"
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}